.hack//G.U. Last Recode

System Requirements

Check here the minimum and recommended System Requirements to run .hack//G.U. Last Recode with no technical problems and test if you can run it.

Developer

CyberConnect2

Publisher

BANDAI NAMCO Entertainment

Platforms

.hack//G.U. Last Recode Minimum System Requirements

  • Operational System: Windows 7 / Windows 8 / Windows 10 64-Bit
  • Processor: Intel Core i3-2100 @ 3.10GHz / AMD Phenom II X4 940
  • Video Card: GeForce GTX 460 / Radeon HD 6870
  • RAM Free: 4 GB RAM
  • Disk Space (HD): 40 GB Free
  • Directx Version: Directx 11

.hack//G.U. Last Recode Recommended System Requirements

  • Operational System: Windows 7 / Windows 8 / Windows 10 64-Bit
  • Processor: Intel Core i3-2125 @ 3.30GHz / AMD A10-7850K APU
  • Video Card: GeForce GTX 660 Ti / Radeon R7 370
  • RAM Free: 4 GB RAM
  • Disk Space (HD): 40 GB Free
  • Directx Version: Directx 11